- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_product_facts – Provides Windows product and license information

New in version 2.5.

- Synopsis
- Examples
- Returned Facts
- Status

## Synopsis

- Provides Windows product and license information.

## Examples

    - name: Get product id and product key
      win_product_facts:

## Returned Facts

Facts returned by this module are added/updated in the `hostvars` host facts and can be referenced by name just like any other host fact. They do not need to be registered in order to use them.

Fact | Returned | Description
--- | --- | ---
ansible_os_license_channel string added in 2.8 | always | The Windows license channel. Sample: Volume:MAK
ansible_os_license_edition string added in 2.8 | always | The Windows license edition. Sample: Windows(R) ServerStandard edition
ansible_os_license_status string added in 2.8 | always | The Windows license status. Sample: Licensed
ansible_os_product_id string | always | The Windows product ID. Sample: 00326-10000-00000-AA698
ansible_os_product_key string | always | The Windows product key. Sample: T49TD-6VFBW-VV7HY-B2PXY-MY47H

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.